[问题][已解决]安装gcc不成功!

为当前最终发行版之前的所有版本提供支持
回复
xingc
帖子: 7
注册时间: 2006-11-14 20:06
送出感谢: 0
接收感谢: 0
联系:

[问题][已解决]安装gcc不成功!

#1

帖子 xingc » 2006-11-14 20:44

为什么我按照Wiki里面的提示安装gcc错误,不能安装。
提示信息:
xingc@xingc:~$ sudo apt-get install gcc g++ libgcc1 libg++ make gdb
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
E: 无法找到软件包 gcc
谁知道原因的能不能告诉我一下,我是第一次用Ubuntu。
另:还有就是为什么rpm命令也是不能用的!?
提示是:xingc@xingc:/$ rpm
bash: rpm: command not found
在我的印象中rpm命令应该是在任何的Linux半本里面都可以用的阿!不然就是我被误导了??
上次由 xingc 在 2006-11-15 16:18,总共编辑 1 次。
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 zhuqin_83 » 2006-11-15 4:40

谁说rpm是任何linux都可以用的?
那个是red hat类的包。debian类的用deb,ubuntu基于debian。
源里的软件还不够用么?没必要用rpm包的阿。
如果你需要,你得装alien,sudo apt-get install alien
然后把rpm包转成deb,用alien x.rpm
编译环境应该这么安装:sudo apt-get install build-essential
新手应该先看新手区的置顶贴,wiki的新手指引,系统的自带帮助。你的问题都能找到。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
xingc
帖子: 7
注册时间: 2006-11-14 20:06
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 xingc » 2006-11-15 7:47

是这样啊!多谢了,回头试一下
回复

回到 “老旧版本支持”